/**
 * The Visitor subclass that traverses the scene graph of Group nodes looking for 
 * transparent geometry objects to render.
 * <p>
 * The necessary properties are pushed when a node is visited and popped when the node is left.
 *
 * @version 	1.00
 * @author      Blair MacIntyre
 */

public class jooglRenderTransparentVisitor extends jooglVisitor {
    /** The default constructor */
    public jooglRenderTransparentVisitor ()
    {
        super();
    }

    /** 
     * The action to be done when a node is first visited. 
     *
     * @param node the current node being visited
     */
    public void preAction(jooglNode node)
    {
    }
        
    /** 
     * The action to be done when a node has been visited and is being left. 
     *
     * @param node the current node being visited
     */
    public void postAction(jooglNode node)
    {
    }
}
